package com.thebrokenrail.energonrelics.registry.infuser.data;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.item.ItemStack;

/**
 * Output Item For Display In REI
 */
@Environment(EnvType.CLIENT)
public class InfuserOutputItem {
    /**
     * Is This A Real Item
     */
    public final boolean outputsItem;
    /**
     * Display Item
     */
    public final ItemStack stack;

    /**
     * Create Display Item
     * @param outputsItem Is This A Real Item
     * @param item Display Item
     */
    public InfuserOutputItem(boolean outputsItem, ItemStack item) {
        this.outputsItem = outputsItem;
        this.stack = item;
    }
}
